<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('projects__requireds', function (Blueprint $table) {
             $table->id();
            $table->foreignId('department_id')->constrained('departments')->onDelete('cascade');
            $table->string('projects_title');
            $table->longtext('description')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->decimal('total_cost', 15, 2)->nullable();
            $table->string('currency')->nullable();

            // الجهة المنفذة (nullable لأنه يتم تعيينها لاحقًا)
            $table->foreignId('sponsors_id')->nullable()->constrained('sponsors')->onDelete('set null');
            $table->foreignId('user_id')->nullable()->constrained('users')->onDelete('set null');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('projects__requireds');
    }
};
